Subject: Re: bug#68985: 30.0.50; Gnus: Add option to disable display of logo image in mode-line

From: Björn Bidar <[email-masked]>
Date: Tue, 13 Feb 2024 23:36:25 +0200

Eric Abrahamsen <[email-masked]> writes:

> On 02/10/24 22:26 PM, Richard Stallman wrote:
>> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
>> [[[ whether defending the US Constitution against all enemies,     ]]]
>> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>>
>>   > > As Manuel Giraud said in the other subthread, it's "for those that don't
>>   > > want too much icons in their Emacs". Personally, I prefer to not see any
>>   > > icons or images in my Emacs - unless viewing an image. It distracts me
>>   > > from text.
>>
>> Users who feel that way would probably extend it to other packages,
>> not just Gnus.  Perhaps we should establish a customization option
>> `fewer-images-flag' which would affect other packages in the same way
>> as Gnus.
>
> If we could implement this in a central location, like defusing
> find-image somehow, that seems possible. I wouldn't be surprised if
> having `find-image' suddenly not find any images would break things,
> though. And the other approach -- locating all `find-image' call sites
> inside and outside of Emacs and conditionalizing them -- seems like an
> impractical amount of work...
Reading your point and the scope of this idea I wonder if it would be to
complicated to work.
In the sense perfect is the enemy of the good.
Maybe tags on certain options like these that would make it easier for
to find them would be a better solution?